繁体   English   中英

tryIng在Ubuntu上安装R时软件包损坏的错误消息

Error message of broken packages while tryIng to install R on Ubuntu

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我正在尝试在Ubuntu 18.04x64上尝试以下命令来安装R:

sudo apt-get update
sudo apt-get -y install r-base

遵循本教程(第6步)

但我得到:

在此处输入图片说明

我试图用解决这个问题:

sudo add-apt-repository ppa:marutter/rrutter
sudo apt-get update
sudo apt-get install r-base r-base-dev

基于此答案,但我仍然遇到相同的错误。 有什么建议么?

问题暂未有回复.您可以查看右边的相关问题.
1 在Ubuntu上安装R软件包错误

我在Ubuntu服务器(14)上安装了R和Rstudio,当我尝试安装软件包时,出现以下错误: 更新:这只是权限问题,我只需要: 对于其他目录:/ usr / lib / R / etc / Makeconf和/ usr / lib / R / bin /。 我以前从未遇到过这 ...

5 安装软件包R(Ubuntu)

我有R的问题,我以前没有经验。 在这里写之前,我检查了论坛,但无法解决我的问题。 我看到有人遇到这个问题。 首先,我使用Ubuntu 16.04和R 3.4.1(单根蜡烛)。 但是我无法安装任何软件包。 首先它说目录是不可写的,如果我想创建一个个人图书馆? lib =“ / ...

6 在ubuntu 16.04中安装R软件包时出现gcc错误

尝试安装多个R软件包时出现gcc错误,例如devtools和plyr给出相同的错误。 我正在使用ubuntu 16.04和R:3.3.2。 我有一个R的工作版本,但是某些库存在问题,所以我做了: apt-get remove r-base-core并按照此步骤重新安装 如果需要的 ...

7 安装 R 3.5 软件包时出现 rcpp 编译错误 (ubuntu 16.04)

我无法安装 tidyverse 或 devtools,并且出现此错误: 例如,这些是 install.packages("tidyverse", dependencies = TRUE) 的结果: 我的 R 版本: 我试过安装每个单独的依赖项,但每次都得到相同的错误(有时使用不同的依赖项 ...

2020-02-13 19:44:30 1 885   r
8 在Ubuntu“ Precise”上安装R软件包

我正在尝试安装R软件包“ raster”,并且在此报告了相同的错误: 无法在R 2.14.1中安装ggp​​lot软件包 。 我认为解决此问题的最佳方法是升级R,但我在这里做了一些说明, 网址为http://cran.r-project.org/bin/linux/ubuntu/README ...

2014-03-27 21:09:37 2 551   r/ ubuntu
9 尝试在R中安装homals软件包的错误消息

我正在尝试安装Homals软件包-library(homals),但始终收到此错误消息: 错误:.onLoad在'rgl'的loadNamespace()中失败,详细信息:调用:dyn.load(file,DLLpath = DLLpath,...)错误:无法加载共享对象 '/L ...

2019-09-16 17:36:51 1 29   r/ package
10 安装R软件包会导致错误消息

我尝试安装R软件包crypticIBD检查,但是在尝试使用它时出现以下错误 有人告诉我一个方向吗? 然后,我成功安装了rJava软件包,然后treid重新运行该软件包。 ...

2013-04-17 23:18:49 0 100   r/ package
暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2021 STACKOOM.COM